Bug 2018950 - Unauthenticated users can't move print jobs in Web UI
Summary: Unauthenticated users can't move print jobs in Web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-01 10:55 UTC by Zdenek Dohnal
Modified: 2021-11-29 01:10 UTC (History)
2 users (show)

Fixed In Version: cups-2.3.3op2-9.fc33 cups-2.3.3op2-10.fc35 cups-2.3.3op2-10.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-13 01:15:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-11-01 10:55:05 UTC
This bug was initially created as a copy of Bug #2006987

I am copying this bug because: 



Description of problem:

  If an administrator wants to allow unfettered access to allow
  unauthenticated users to perform administration functions, they can do
  this by removing Require user entries from cupsd.conf.  This works for
  everything but the "Move Job" operation in the "Jobs" page. Because
  cgiMoveJob() returns 401 when REMOTE_USER is not supplied, it is
  impossible to move the job using the Web UI.

Version-Release number of selected component (if applicable):

  cups-2.2.6-38.el8

How reproducible:

  100%

Steps to Reproduce:

 1. Remove all "Require user" entries in cupsd.conf
 
 2. Submit a print job "lp -d test -H Hold /etc/fstab"
 
 3. Go to https://localhost/jobs and press the "Move Job" button
    to move the print job.

Actual results:

  Unauthorized

  Enter your username and password or the root username and password to
  access this page. If you are using Kerberos authentication, make sure
  you have a valid Kerberos ticket.

Expected results:

  The unauthenticated user should be able to move the job.

Additional info:

  Upstream PR, currently pending review:
    https://github.com/OpenPrinting/cups/pull/257

  I'll work up a test package shortly.

Comment 1 Fedora Update System 2021-11-04 12:30:27 UTC
FEDORA-2021-8ff3051c10 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff3051c10

Comment 2 Fedora Update System 2021-11-04 12:47:32 UTC
FEDORA-2021-f4efb6d999 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4efb6d999

Comment 3 Fedora Update System 2021-11-04 13:04:37 UTC
FEDORA-2021-e6bd2946fc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6bd2946fc

Comment 4 Fedora Update System 2021-11-05 01:21:55 UTC
FEDORA-2021-8ff3051c10 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8ff3051c10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff3051c10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-05 01:38:10 UTC
FEDORA-2021-f4efb6d999 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f4efb6d999`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4efb6d999

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-05 02:41:01 UTC
FEDORA-2021-e6bd2946fc has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e6bd2946fc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6bd2946fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-13 01:15:28 UTC
FEDORA-2021-e6bd2946fc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-11-14 02:26:43 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d114176c57`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-14 02:39:43 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b878f6c79d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-11-15 05:47:19 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-11-29 01:10:14 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.